ant-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Stefan Bodewig <bode...@apache.org>
Subject Re: Ant 1.8.0RC1 @ Java 1.4 @ WinXP_SP3: build main_distribution test
Date Wed, 06 Jan 2010 11:04:12 GMT
On 2010-01-06, <Jan.Materne@rzf.fin-nrw.de> wrote:

> Placed junit-3.7.jar in lib/optional and retry

> build:
> Created dir:
> C:\Downloads\apache-ant-1.8.0RC1-src\apache-ant-1.8.0RC1\build\lib
> Compiling 250 source files to
> C:\Downloads\apache-ant-1.8.0RC1-src\apache-ant-1.8.0RC1\build\classes
> C:\Downloads\apache-ant-1.8.0RC1-src\apache-ant-1.8.0RC1\src\main\org\ap
> ache\tools\ant\taskdefs\optional\junit\JUnitTaskMirrorImpl.java:80:
> TestCase(java.lang.String) in junit.framework.TestCase cannot be applied
> to ()
>         VmExitErrorTest(String aMessage, JUnitTest anOriginalTest,
> String aTestCase) {

> ^
> Note: Some input files use or override a deprecated API.
> Note: Recompile with -deprecation for details.
> 1 error

OK, this means we actually require JUnit 3.8 by now - given how long it
has been available I'd say we document the fact and accept it.

> Replaced junit-3.7.jar with 3.8.1 version.

> javadocs:
>   [javadoc] 2 errors
>   [javadoc] 186 warnings

> BUILD FAILED
> C:\Downloads\apache-ant-1.8.0RC1-src\apache-ant-1.8.0RC1\build.xml:1125:
> The following error occurred while executing this line:
> C:\Downloads\apache-ant-1.8.0RC1-src\apache-ant-1.8.0RC1\build.xml:1394:
> Javadoc returned 1

I think it is a known issue that JDK 1.4 isn't able to create Ant's
javadocs.  I've never bothered to see what exactly triggers the failure.

Stefan

---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@ant.apache.org
For additional commands, e-mail: dev-help@ant.apache.org


Mime
View raw message